enabling ftrace on Hi1620 CS causes an Oops

Bug #1822871 reported by dann frazier on 2019-04-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
dann frazier
Disco
Undecided
dann frazier

Bug Description

[Impact]
Attempting to enable the function tracer causes an Oops. This impacts the current disco kernel, as well as latest upstream (@5e7a8ca319268a70a6c7c3c1fde5bea38e1e5539).

This is 100% reproducible on D06 CS systems, but not reproducible on D06 ES systems (the previous silicon rev).

[Test Case]
$ echo function | sudo tee /sys/kernel/debug/tracing/current_tracer

[ 3125.651453] kernel BUG at arch/arm64/kernel/insn.c:1325!
[ 3125.656766] Internal error: Oops - BUG: 0 [#1] SMP
[ 3125.661551] Modules linked in: nls_iso8859_1 ipmi_ssif joydev input_leds tpm_tis_spi hns_roce_hw_v2 hns_roce ib_uverbs spi_dw_mmio ipmi_si spi_dw ipmi_devintf ipmi_msghandler cppc_cpufreq sch_fq_codel ib_iser rdma_cm iw_cm ib_cm ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip_tables x_tables autofs4 btrfs zstd_compress raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor xor_neon raid6_pq libcrc32c raid1 raid0 multipath linear ses enclosure marvell aes_ce_blk aes_ce_cipher hibmc_drm hid_generic ttm crct10dif_ce drm_kms_helper ghash_ce sha2_ce syscopyarea sha256_arm64 sysfillrect ixgbe igb sha1_ce hns3 sysimgblt usbhid fb_sys_fops hisi_sas_v3_hw hclge i2c_algo_bit xfrm_algo hisi_sas_main mdio hid drm hnae3 libsas ahci scsi_transport_sas hinic gpio_dwapb aes_neon_bs aes_neon_blk crypto_simd cryptd aes_arm64
[ 3125.736544] CPU: 124 PID: 3306 Comm: tee Not tainted 5.0.0-rc4+ #12
[ 3125.742802] Hardware name: Huawei TaiShan 2280 V2/BC82AMDA, BIOS TA BIOS 2280-A CS V2.16.01 03/16/2019
[ 3125.752099] pstate: 00400009 (nzcv daif +PAN -UAO)
[ 3125.756893] pc : aarch64_insn_adrp_get_offset+0x34/0x38
[ 3125.762111] lr : plt_entries_equal.part.3+0x40/0x80
[ 3125.766979] sp : ffff00002837b9f0
[ 3125.770286] x29: ffff00002837b9f0 x28: ffffbef4fd20d880
[ 3125.775591] x27: 0000000000000000 x26: 0000000000000000
[ 3125.780896] x25: 0000ffffdea2a7e8 x24: ffff3dceb8413000
[ 3125.786200] x23: 0000000000000002 x22: ffff3dce9d2289a4
[ 3125.791504] x21: ffff00002837ba8c x20: ffff00002837b000
[ 3125.796808] x19: ffff3dce9d228000 x18: 0000000000000000
[ 3125.802112] x17: 0000000000000000 x16: ffff3dceb7742780
[ 3125.807416] x15: ffff3dceb7ce7c38 x14: 0000000000000001
[ 3125.812720] x13: ffffbef50bb9e188 x12: 0000000000000000
[ 3125.818023] x11: ffff7efba3e79608 x10: 0000000000000a70
[ 3125.823327] x9 : ffff3dceb6deeacc x8 : 0000000000000000
[ 3125.828631] x7 : 0000000000000005 x6 : ffff3dceb8413f10
[ 3125.833935] x5 : 00000000002b3000 x4 : ffff3dceb6f4f4b8
[ 3125.839239] x3 : 0000000000000000 x2 : 0000000090000000
[ 3125.844543] x1 : 0000000000000000 x0 : 0000000000000000
[ 3125.849850] Process tee (pid: 3306, stack limit = 0x00000000262bb476)
[ 3125.856281] Call trace:
[ 3125.858723] aarch64_insn_adrp_get_offset+0x34/0x38
[ 3125.863593] plt_entries_equal.part.3+0x40/0x80
[ 3125.868115] plt_entries_equal+0x5c/0x70
[ 3125.872031] ftrace_make_call+0xf0/0x150
[ 3125.875950] __ftrace_replace_code+0xe8/0xf8
[ 3125.880212] ftrace_replace_code+0x64/0xc0
[ 3125.884301] ftrace_modify_all_code+0xb0/0x148
[ 3125.888738] arch_ftrace_update_code+0x10/0x18
[ 3125.893174] ftrace_run_update_code+0x20/0x70
[ 3125.897524] ftrace_startup_enable+0x4c/0x58
[ 3125.901788] ftrace_startup+0xa4/0x140
[ 3125.905531] register_ftrace_function+0x64/0x80
[ 3125.910059] function_trace_init+0x50/0x98
[ 3125.914149] tracing_set_tracer+0xf4/0x1c0
[ 3125.918238] tracing_set_trace_write+0x10c/0x168
[ 3125.922852] __vfs_write+0x60/0x1a8
[ 3125.926333] vfs_write+0xac/0x1b8
[ 3125.929641] ksys_write+0x6c/0xd8
[ 3125.932949] __arm64_sys_write+0x24/0x30
[ 3125.936866] el0_svc_common+0x78/0x120
[ 3125.940608] el0_svc_handler+0x38/0x78
[ 3125.944349] el0_svc+0x8/0xc
[ 3125.947224] Code: 97fffb33 53144c00 a8c17bfd d65f03c0 (d4210000)
[ 3125.953312] ---[ end trace 0872d3e5933385e2 ]---

[Fix]
4e69ecf4da1ee arm64/module: ftrace: deal with place relative nature of PLTs
5a3ae7b314a22 arm64/ftrace: fix inadvertent BUG() in trampoline check

[Regression Risk]
TBD

dann frazier (dannf) wrote :

Bisection led to the following commit:

# first bad commit: [bdb85cd1d20669dfae813555dddb745ad09323ba] arm64/module: switch to ADRP/ADD sequences for PLT entries

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1822871

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
dann frazier (dannf) on 2019-04-02
summary: - enabling ftrace on Hi1620 causes an Oops
+ enabling ftrace on Hi1620 CS causes an Oops
description: updated
dann frazier (dannf) on 2019-04-02
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
dann frazier (dannf) wrote :

Yeah, no crash anymore - thanks Ard!

ubuntu@d06-4:~$ echo function | sudo tee /sys/kernel/debug/tracing/current_tracer
function
[ 72.778123] ftrace: far branches to multiple entry points unsupported inside a single module

^ I assume this is expected

dann frazier (dannf) wrote :
Download full text (3.5 KiB)

[ 72.778123] ftrace: far branches to multiple entry points unsupported inside a single module
[ 72.786657] WARNING: CPU: 121 PID: 3299 at /home/ubuntu/linux-5.0.0/kernel/trace/ftrace.c:2008 ftrace_bug+0xb0/0x2b0
[ 72.786662] Modules linked in: nls_iso8859_1 ipmi_ssif joydev input_leds tpm_tis_spi hns_roce_hw_v2 hns_roce ib_uverbs spi_dw_mmio spi_dw ipmi_si ipmi_devintf ipmi_msghandler cppc_cpufreq sch_fq_codel ib_iser rdma_cm iw_cm ib_cm ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip_tables x_tables autofs4 ses enclosure btrfs zstd_compress raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor xor_neon raid6_pq libcrc32c raid1 raid0 multipath linear marvell aes_ce_blk aes_ce_cipher hibmc_drm hid_generic ttm crct10dif_ce drm_kms_helper ghash_ce syscopyarea sha2_ce sysfillrect sha256_arm64 ixgbe hisi_sas_v3_hw hns3 sysimgblt igb sha1_ce usbhid hisi_sas_main fb_sys_fops xfrm_algo drm hclge i2c_algo_bit hid libsas mdio hnae3 hinic ahci scsi_transport_sas gpio_dwapb aes_neon_bs aes_neon_blk crypto_simd cryptd aes_arm64
[ 72.786826] CPU: 121 PID: 3299 Comm: tee Not tainted 5.0.0-9-generic #10
[ 72.786830] Hardware name: Huawei TaiShan 2280 V2/BC82AMDA, BIOS TA BIOS 2280-A CS V2.17.01 03/30/2019
[ 72.786836] pstate: 60400009 (nZCv daif +PAN -UAO)
[ 72.786843] pc : ftrace_bug+0xb0/0x2b0
[ 72.786850] lr : ftrace_replace_code+0xa8/0xc0
[ 72.786853] sp : ffff00002874bb20
[ 72.786857] x29: ffff00002874bb20 x28: fffff244374049c0
[ 72.786864] x27: 0000000000000000 x26: 0000000000000000
[ 72.786870] x25: 0000ffffcad06548 x24: ffff40c2c5c23000
[ 72.786876] x23: 0000000000000002 x22: 0000000000000001
[ 72.786882] x21: ffff40c234f5b928 x20: ffffd23456ea0010
[ 72.786887] x19: ffffd23456ea0010 x18: ffffffffffffffff
[ 72.786893] x17: 0000000000000000 x16: ffff40c2c4f1f810
[ 72.786898] x15: ffff40c2c5bec708 x14: 6c676e6973206120
[ 72.786904] x13: 656469736e692064 x12: 6574726f70707573
[ 72.786910] x11: 6e752073746e696f x10: ffff40c2c5bed168
[ 72.786915] x9 : ffff40c2c5806018 x8 : ffff40c2c4cc4f80
[ 72.786921] x7 : 6e61726220726166 x6 : ffff40c2c5c23f58
[ 72.786926] x5 : fffff2444db53210 x4 : ffff40c2c471fce8
[ 72.786932] x3 : 0000000000000000 x2 : b80552eea843d900
[ 72.786937] x1 : ffffd23456ea0010 x0 : 00000000ffffffea
[ 72.786944] Call trace:
[ 72.786951] ftrace_bug+0xb0/0x2b0
[ 72.786957] ftrace_replace_code+0xa8/0xc0
[ 72.786964] ftrace_modify_all_code+0xb0/0x148
[ 72.786973] arch_ftrace_update_code+0x10/0x18
[ 72.786979] ftrace_run_update_code+0x20/0x70
[ 72.786986] ftrace_startup_enable+0x4c/0x58
[ 72.786992] ftrace_startup+0xa4/0x140
[ 72.786999] register_ftrace_function+0x64/0x80
[ 72.787007] function_trace_init+0x50/0x98
[ 72.787013] tracing_set_tracer+0xf4/0x1c0
[ 72.787019] tracing_set_trace_write+0x10c/0x168
[ 72.787028] __vfs_write+0x48/0x80
[ 72.787033] vfs_write+0xac/0x1b8
[ 72.787037] ksys_write+0x6c/0xd8
[ 72.787042] __arm64_sys_write+0x24/0x30
[ 72.787048] el0_svc_common+0x78/0x120
[ 72.787054] el0_svc_handler+0x38/0x78
[ 72.787061] el0_svc+0x8/0xc
[ 72.787065] ---[ end trace a7f7a5b79f6...

Read more...

Download full text (4.8 KiB)

On Tue, 9 Apr 2019 at 16:30, dann frazier <email address hidden> wrote:
>
> Yeah, no crash anymore - thanks Ard!
>
> ubuntu@d06-4:~$ echo function | sudo tee /sys/kernel/debug/tracing/current_tracer
> function
> [ 72.778123] ftrace: far branches to multiple entry points unsupported inside a single module
>
> ^ I assume this is expected
>

Uhm, not really.

You don't have any out of tree live patching code in your kernel, right?

> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1822871
>
> Title:
> enabling ftrace on Hi1620 CS causes an Oops
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> [Impact]
> Attempting to enable the function tracer causes an Oops. This impacts the current disco kernel, as well as latest upstream (@5e7a8ca319268a70a6c7c3c1fde5bea38e1e5539).
>
> This is 100% reproducible on D06 CS systems, but not reproducible on
> D06 ES systems (the previous silicon rev).
>
> [Test Case]
> $ echo function | sudo tee /sys/kernel/debug/tracing/current_tracer
>
> [ 3125.651453] kernel BUG at arch/arm64/kernel/insn.c:1325!
> [ 3125.656766] Internal error: Oops - BUG: 0 [#1] SMP
> [ 3125.661551] Modules linked in: nls_iso8859_1 ipmi_ssif joydev input_leds tpm_tis_spi hns_roce_hw_v2 hns_roce ib_uverbs spi_dw_mmio ipmi_si spi_dw ipmi_devintf ipmi_msghandler cppc_cpufreq sch_fq_codel ib_iser rdma_cm iw_cm ib_cm ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip_tables x_tables autofs4 btrfs zstd_compress raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor xor_neon raid6_pq libcrc32c raid1 raid0 multipath linear ses enclosure marvell aes_ce_blk aes_ce_cipher hibmc_drm hid_generic ttm crct10dif_ce drm_kms_helper ghash_ce sha2_ce syscopyarea sha256_arm64 sysfillrect ixgbe igb sha1_ce hns3 sysimgblt usbhid fb_sys_fops hisi_sas_v3_hw hclge i2c_algo_bit xfrm_algo hisi_sas_main mdio hid drm hnae3 libsas ahci scsi_transport_sas hinic gpio_dwapb aes_neon_bs aes_neon_blk crypto_simd cryptd aes_arm64
> [ 3125.736544] CPU: 124 PID: 3306 Comm: tee Not tainted 5.0.0-rc4+ #12
> [ 3125.742802] Hardware name: Huawei TaiShan 2280 V2/BC82AMDA, BIOS TA BIOS 2280-A CS V2.16.01 03/16/2019
> [ 3125.752099] pstate: 00400009 (nzcv daif +PAN -UAO)
> [ 3125.756893] pc : aarch64_insn_adrp_get_offset+0x34/0x38
> [ 3125.762111] lr : plt_entries_equal.part.3+0x40/0x80
> [ 3125.766979] sp : ffff00002837b9f0
> [ 3125.770286] x29: ffff00002837b9f0 x28: ffffbef4fd20d880
> [ 3125.775591] x27: 0000000000000000 x26: 0000000000000000
> [ 3125.780896] x25: 0000ffffdea2a7e8 x24: ffff3dceb8413000
> [ 3125.786200] x23: 0000000000000002 x22: ffff3dce9d2289a4
> [ 3125.791504] x21: ffff00002837ba8c x20: ffff00002837b000
> [ 3125.796808] x19: ffff3dce9d228000 x18: 0000000000000000
> [ 3125.802112] x17: 0000000000000000 x16: ffff3dceb7742780
> [ 3125.807416] x15: ffff3dceb7ce7c38 x14: 0000000000000001
> [ 3125.812720] x13: ffffbef50bb9e188 x12: 0000000000000000
> [ 3125.818023] x11: ffff7efba3e79608 x10: 0000000000000a70
> [ 3125.823327] x9 : ffff3dceb6deeacc x8 : 0000000000000000
> [ 312...

Read more...

dann frazier (dannf) on 2019-04-10
Changed in linux (Ubuntu):
assignee: nobody → dann frazier (dannf)
dann frazier (dannf) wrote :
  • .config Edit (226.6 KiB, application/octet-stream; name=".config")
Download full text (4.0 KiB)

On Wed, Apr 10, 2019 at 11:01 AM Ard Biesheuvel
<email address hidden> wrote:
>
> On Tue, 9 Apr 2019 at 16:30, dann frazier <email address hidden> wrote:
> >
> > Yeah, no crash anymore - thanks Ard!
> >
> > ubuntu@d06-4:~$ echo function | sudo tee /sys/kernel/debug/tracing/current_tracer
> > function
> > [ 72.778123] ftrace: far branches to multiple entry points unsupported inside a single module
> >
> > ^ I assume this is expected
> >
>
> Uhm, not really.

:(

> You don't have any out of tree live patching code in your kernel, right?

I see the same behavior w/ just-this-patch on top of upstream:

[ 431.876690] ftrace: far branches to multiple entry points
unsupported inside a single module
[ 431.885157] WARNING: CPU: 21 PID: 3388 at
kernel/trace/ftrace.c:2008 ftrace_bug+0xb0/0x2b0
[ 431.885158] Modules linked in: nls_iso8859_1 ipmi_ssif joydev
input_leds hns_roce_hw_v2 hns_roce ipmi_si ib_uverbs tpm_tis_spi
ipmi_devintf ipmi_msghandler spi_dw_mmio spi_dw cppc_cpufreq
sch_fq_codel ib_iser rdma_cm iw_cm ib_cm ib_core iscsi_tcp
libiscsi_tcp libiscsi scsi_transport_iscsi ip_tables x_tables autofs4
ses enclosure btrfs zstd_compress raid10 raid456 async_raid6_recov
async_memcpy async_pq async_xor async_tx xor xor_neon raid6_pq
libcrc32c raid1 raid0 multipath linear marvell aes_ce_blk
aes_ce_cipher hid_generic hibmc_drm crct10dif_ce ttm ghash_ce
drm_kms_helper sha2_ce syscopyarea sha256_arm64 sysfillrect sha1_ce
hisi_sas_v3_hw sysimgblt ixgbe usbhid hns3 fb_sys_fops hisi_sas_main
igb drm hclge libsas i2c_algo_bit hid xfrm_algo ahci mdio hnae3
scsi_transport_sas libahci hinic gpio_dwapb aes_neon_bs aes_neon_blk
crypto_simd cryptd aes_arm64
[ 431.885213] CPU: 21 PID: 3388 Comm: tee Not tainted 5.1.0-rc4+ #79
[ 431.885215] Hardware name: Huawei TaiShan 2280 V2/BC82AMDA, BIOS TA
BIOS 2280-A CS V2.17.01 03/30/2019
[ 431.885217] pstate: 60400009 (nZCv daif +PAN -UAO)
[ 431.885219] pc : ftrace_bug+0xb0/0x2b0
[ 431.885221] lr : ftrace_replace_code+0xa8/0xc0
[ 431.885222] sp : ffff000020d6bb20
[ 431.885223] x29: ffff000020d6bb20 x28: ffff97b7828e1d80
[ 431.885225] x27: 0000000000000000 x26: 0000000000000000
[ 431.885227] x25: 0000ffffe3d7c228 x24: ffff000020d6bd13
[ 431.885229] x23: 0000000000000002 x22: 0000000000000001
[ 431.885231] x21: ffff3ed411993928 x20: ffff97b7c5810010
[ 431.885232] x19: ffff97b7c5810010 x18: ffffffffffffffff
[ 431.885234] x17: 0000000000000000 x16: ffff3ed4ff397168
[ 431.885236] x15: ffff3ed50005c708 x14: 7320612065646973
[ 431.885237] x13: 6e6920646574726f x12: 707075736e752073
[ 431.885239] x11: 746e696f70207972 x10: 746e6520656c7069
[ 431.885241] x9 : ffff3ed50005d168 x8 : ffff3ed4ff141588
[ 431.885243] x7 : 0000000000000945 x6 : ffff3ed500095308
[ 431.885244] x5 : ffff97b7cfaef150 x4 : ffff3ed4feba7480
[ 431.885246] x3 : 0000000000000000 x2 : 12122b60e4976500
[ 431.885248] x1 : ffff97b7c5810010 x0 : 00000000ffffffea
[ 431.885250] Call trace:
[ 431.885252] ftrace_bug+0xb0/0x2b0
[ 431.885254] ftrace_replace_code+0xa8/0xc0
[ 431.885256] ftrace_modify_all_code+0xc8/0x160
[ 431.885262] arch_ftrace_update_code+0x10/0x18
[ 431.885264] ftrace_run_update_code+0x20/0x70
[ 431.885266] ft...

Read more...

dann frazier (dannf) wrote :

This patch resolves the problem for me, thx Ard!
  https://patchwork.kernel.org/patch/10899313/

dann frazier (dannf) on 2019-04-26
description: updated
Changed in linux (Ubuntu):
status: Confirmed → In Progress
dann frazier (dannf) on 2019-05-01
Changed in linux (Ubuntu Disco):
status: New → In Progress
assignee: nobody → dann frazier (dannf)
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
dann frazier (dannf) wrote :

disco verification:
ubuntu@d06-4:~$ cat /proc/version
Linux version 5.0.0-16-generic (buildd@bos02-arm64-013) (gcc version 8.3.0 (Ubuntu/Linaro 8.3.0-6ubuntu1)) #17-Ubuntu SMP Wed May 15 10:54:19 UTC 2019
ubuntu@d06-4:~$ sudo dmesg -c > /dev/null
ubuntu@d06-4:~$ echo function | sudo tee /sys/kernel/debug/tracing/current_tracer
function
ubuntu@d06-4:~$ dmesg
ubuntu@d06-4:~$

tags: added: verification-done-disco
removed: verification-needed-disco
Launchpad Janitor (janitor) wrote :
Download full text (24.0 KiB)

This bug was fixed in the package linux - 5.0.0-16.17

---------------
linux (5.0.0-16.17) disco; urgency=medium

  * linux: 5.0.0-16.17 -proposed tracker (LP: #1829173)

  * shiftfs: lock security sensitive superblock flags (LP: #1827122)
    - SAUCE: shiftfs: lock down certain superblock flags

  * Please package libbpf (which is done out of the kernel src) in Debian [for
    19.10] (LP: #1826410)
    - SAUCE: tools -- fix add ability to disable libbfd

  * Disco update: 5.0.8 upstream stable release (LP: #1828415)
    - drm/i915/gvt: do not let pin count of shadow mm go negative
    - kbuild: pkg: use -f $(srctree)/Makefile to recurse to top Makefile
    - netfilter: nft_compat: use .release_ops and remove list of extension
    - netfilter: nf_tables: use-after-free in dynamic operations
    - netfilter: nf_tables: add missing ->release_ops() in error path of newrule()
    - hv_netvsc: Fix unwanted wakeup after tx_disable
    - ibmvnic: Fix completion structure initialization
    - ip6_tunnel: Match to ARPHRD_TUNNEL6 for dev type
    - ipv6: Fix dangling pointer when ipv6 fragment
    - ipv6: sit: reset ip header pointer in ipip6_rcv
    - kcm: switch order of device registration to fix a crash
    - net: ethtool: not call vzalloc for zero sized memory request
    - net-gro: Fix GRO flush when receiving a GSO packet.
    - net/mlx5: Decrease default mr cache size
    - netns: provide pure entropy for net_hash_mix()
    - net: rds: force to destroy connection if t_sock is NULL in
      rds_tcp_kill_sock().
    - net/sched: act_sample: fix divide by zero in the traffic path
    - net/sched: fix ->get helper of the matchall cls
    - qmi_wwan: add Olicard 600
    - r8169: disable ASPM again
    - sctp: initialize _pad of sockaddr_in before copying to user memory
    - tcp: Ensure DCTCP reacts to losses
    - tcp: fix a potential NULL pointer dereference in tcp_sk_exit
    - vrf: check accept_source_route on the original netdevice
    - net/mlx5e: Fix error handling when refreshing TIRs
    - net/mlx5e: Add a lock on tir list
    - nfp: validate the return code from dev_queue_xmit()
    - nfp: disable netpoll on representors
    - bnxt_en: Improve RX consumer index validity check.
    - bnxt_en: Reset device on RX buffer errors.
    - net: ip_gre: fix possible use-after-free in erspan_rcv
    - net: ip6_gre: fix possible use-after-free in ip6erspan_rcv
    - net: bridge: always clear mcast matching struct on reports and leaves
    - net: thunderx: fix NULL pointer dereference in nicvf_open/nicvf_stop
    - net: vrf: Fix ping failed when vrf mtu is set to 0
    - net: core: netif_receive_skb_list: unlist skb before passing to pt->func
    - r8169: disable default rx interrupt coalescing on RTL8168
    - net: mlx5: Add a missing check on idr_find, free buf
    - net/mlx5e: Update xoff formula
    - net/mlx5e: Update xon formula
    - kbuild: clang: choose GCC_TOOLCHAIN_DIR not on LD
    - lib/string.c: implement a basic bcmp
    - Revert "clk: meson: clean-up clock registration"
    - tty: mark Siemens R3964 line discipline as BROKEN
    - [Config]: remove CONFIG_R3964
    - [Config]: add CONFIG_LDISC_AUTOLOAD=y
    - tty: ldisc: add sysctl to p...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments